Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.listeners
Enum State

    java.lang.Object
      java.lang.Enum<State>
          org.jboss.soa.esb.listeners.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<State>

    public enum State

extends java.lang.Enum<State>

ESB listener component state.

Author:
  tom.fennelly@jboss.com

Enum Constant Summary
`Done_OK`
`Exception_thrown`
`Loading_parameters`
`Ready`
`Running`
`Shutting_down`
`Uninitialised`

Method Summary
`boolean` | `isGettingReady()` Is this state instance in one of the states leading up to (but not including) the "Ready" state.
`static State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Uninitialised

    public static final State Uninitialised

### Loading_parameters

    public static final State Loading_parameters

### Running

    public static final State Running

### Ready

    public static final State Ready

### Shutting_down

    public static final State Shutting_down

### Done_OK

    public static final State Done_OK

### Exception_thrown

    public static final State Exception_thrown

Method Detail

### values

    public static final State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(State c : State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### isGettingReady

    public boolean isGettingReady()

  Is this state instance in one of the states leading up to (but not including) the "Ready" state.

  Returns:
    True if this state instance in one of the states leading up to (but not including) the "Ready" state, otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD